
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef aspect_POSTER_XML_LIB_H
#define aspect_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "aspectPrintXML.h"
#include "aspectPosterLib.h"

/* Prototypes */
void webaspect(FILE *f, int argc, char **argv, char **argn);
extern STATUS aspectCntrlPosterXML (FILE *f);
extern STATUS aspectCntrlPosterActivityXML (FILE *f);
extern STATUS aspectCartesianAspectPosterXML (FILE *f);
extern STATUS aspectCartesianAspectHeaderPosterXML (FILE *f);
extern STATUS aspectCartesianAspectSegsPosterXML (FILE *f);
extern STATUS aspectCartesianAspectPointsPosterXML (FILE *f);
extern STATUS aspectPolarAspectPosterXML (FILE *f);
extern STATUS aspectPolarAspectHeaderPosterXML (FILE *f);
extern STATUS aspectPolarAspectPolarSegsPosterXML (FILE *f);
extern STATUS aspectPolarAspectPointsPosterXML (FILE *f);
extern STATUS aspectPolarAspectSegsTypePosterXML (FILE *f);
extern STATUS aspectLaserEchosPosterXML (FILE *f);
extern STATUS aspectLaserEchosScanPolarPosterXML (FILE *f);
#endif /* ASPECT_POSTER_XML_LIB_H */

